aboutsummaryrefslogtreecommitdiff
path: root/cross-compile-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cross-compile-test.sh')
-rwxr-xr-xcross-compile-test.sh57
1 files changed, 0 insertions, 57 deletions
diff --git a/cross-compile-test.sh b/cross-compile-test.sh
deleted file mode 100755
index 52860cf..0000000
--- a/cross-compile-test.sh
+++ /dev/null
@@ -1,57 +0,0 @@
-#!/bin/bash
-set -e
-
-export parent_workspace="${parent_workspace:-"/mnt/ci_build/workspace/odp-api-check"}"
-ROOT_DIR=$(readlink -f $(dirname $0))
-export CLEANUP="${CLEANUP:-1}"
-
-source ${ROOT_DIR}/helper/toolchain
-source ${ROOT_DIR}/helper/openssl
-source ${ROOT_DIR}/helper/cunit
-source ${ROOT_DIR}/helper/coverity
-
-cd $ROOT_DIR
-
-usage_cross_compile() {
- ./make-test.sh -h
- tc_usage
- cunit_usage
-}
-
-if [[ "x$1" = "x-h" || "x$1" = "x--help" ]]; then
- usage_cross_compile
- exit 0
-fi
-
-trap cleanup_exit_cross_compile INT TERM EXIT
-
-cleanup_exit_cross_compile()
-{
- if [[ ${CLEANUP} -eq 1 ]]; then
- tc_cleanup
- openssl_cleanup
- cunit_cleanup
- fi
-}
-
-build_odp()
-{
- pushd ${ROOT_DIR}
- export CROSS_HOST="--host=${compiler_prefix}"
- if [ "$COV_DIR" != "" ]; then
- get_coverity
- fi
- ./make-test.sh
- [[ $? -eq 1 ]] && exit 1
- popd
-}
-
-find_toolchain_to_download
-install_custom_toolchain
-setup_compiler_prefix
-build_openssl
-build_cunit
-
-build_odp
-
-## vim: set sw=4 sts=4 et foldmethod=syntax : ##